local self_ID  = "M-2000C AI by RAZBAM Sims"
declare_plugin(self_ID,
{
	installed 	 = true,
	dirName	  	 = current_mod_path,
	version		 = __DCS_VERSION__,
	state		 = "installed",
	info		 = _("M-2000C AI"),
	encyclopedia_path = current_mod_path..'/Encyclopedia',
	binaries     =
	{
		'M2KC_AI',
	},
	load_immediately = true,
})
---------------------------------------------------------------------------------------
mount_vfs_model_path (current_mod_path.."/Shapes")
mount_vfs_liveries_path (current_mod_path.."/Liveries")
mount_vfs_texture_path (current_mod_path.."/Textures/M-2000C")

-----<<<<<mod begin>>>>>
mount_vfs_texture_path (current_mod_path.."/Textures/ARMAMENT")
dofile(current_mod_path.."/Sensors/M-2000_Sensors.lua")
dofile(current_mod_path.."/Weapons/targetingPods.lua")
-----<<<<<mod end>>>>>

dofile(current_mod_path.."/M-2000C.lua")
-----<<<<<mod begin>>>>>
dofile(current_mod_path.."/M-2000C-S3.lua")
dofile(current_mod_path.."/M-2000H.lua")
-----<<<<<mod end>>>>>

plugin_done()-- finish declaration , clear temporal data
